{- |
		   
These are a selection of useful haskell functions which I've written.

It is split into 5 sections so as to allow you to import just one if you think the whole lot will clutter up the namepsace.

	* "Useful.General" 		- General shorthands and the most commonly used.
	
	* "Useful.Dictionary"	- A lightweight dictionary implementation using Data.Map
	
	* "Useful.List"			- Some general purpose list functions which are missing from Data.List as well as some other shorthands/aliases
	
	* "Useful.String"		- A few string only functions which don't make sense over just lists
	
	* "Useful.IO"			- Some shorthand and general purpose IO functions
	
-}
module Useful(module Useful.General, module Useful.Dictionary, module Useful.List, module Useful.String, module Useful.IO) where

import Useful.General
import Useful.Dictionary
import Useful.List
import Useful.String
import Useful.IO
